import { GLTF, GLTFLoader } from 'three/examples/jsm/loaders/GLTFLoader.js';
export declare class ModelFactory {
    static dracoLoader: any;
    static loader: GLTFLoader;
    static modelMap: Map<string, GLTF | Promise<GLTF>>;
    static loadModel(url: string, useCache?: boolean): Promise<GLTF>;
    static dispose(): void;
}
